org.eclipse.mat.ui.snapshot.views

## Class SnapshotOutlinePage.HeapEditorOutlinePage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage
    - - org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage.HeapEditorOutlinePage

All Implemented Interfaces:
  ISnapshotEditorInput.IChangeListener, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage

Enclosing class:
  SnapshotOutlinePage

    public static class SnapshotOutlinePage.HeapEditorOutlinePage
    extends SnapshotOutlinePage
    implements ISnapshotEditorInput.IChangeListener

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

`SnapshotOutlinePage.HeapEditorOutlinePage`

### Constructor Summary

Constructors
Constructor and Description
`HeapEditorOutlinePage(ISnapshotEditorInput input)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `onBaselineLoaded(ISnapshot snapshot)`
`void` `onSnapshotLoaded(ISnapshot snapshot)`

### Methods inherited from class org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

`addSelectionChangedListener, createControl, getControl, getSelection, init, removeSelectionChangedListener, setFocus, setSelection`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeapEditorOutlinePage

    public HeapEditorOutlinePage(ISnapshotEditorInput input)

### Method Detail

#### onSnapshotLoaded

    public void onSnapshotLoaded(ISnapshot snapshot)

Specified by:
  `onSnapshotLoaded` in interface `ISnapshotEditorInput.IChangeListener`

#### onBaselineLoaded

    public void onBaselineLoaded(ISnapshot snapshot)

Specified by:
  `onBaselineLoaded` in interface `ISnapshotEditorInput.IChangeListener`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `dispose` in class `org.eclipse.ui.part.Page`